# Uses of Interface
org.springframework.jdbc.datasource.init.DatabasePopulator

Packages that use DatabasePopulator
Package
Description
org.springframework.jdbc.datasource.embedded
Provides extensible support for creating embedded database instances.
org.springframework.jdbc.datasource.init
Provides extensible support for initializing databases through scripts.

## Uses of DatabasePopulator in org.springframework.jdbc.datasource.embedded

Methods in org.springframework.jdbc.datasource.embedded with parameters of type DatabasePopulator
Modifier and Type
Method
Description
`void`
EmbeddedDatabaseFactoryBean.`setDatabaseCleaner(DatabasePopulator databaseCleaner)`
Set a script execution to be run in the bean destruction callback, cleaning up the database and leaving it in a known state for others.
`void`
EmbeddedDatabaseFactory.`setDatabasePopulator(DatabasePopulator populator)`
Set the strategy that will be used to initialize or populate the embedded database.

## Uses of DatabasePopulator in org.springframework.jdbc.datasource.init

Classes in org.springframework.jdbc.datasource.init that implement DatabasePopulator
Modifier and Type
Class
Description
`class`
`CompositeDatabasePopulator`
Composite `DatabasePopulator` that delegates to a list of given `DatabasePopulator` implementations, executing all scripts.
`class`
`ResourceDatabasePopulator`
Populates, initializes, or cleans up a database using SQL scripts defined in external resources.
Methods in org.springframework.jdbc.datasource.init with parameters of type DatabasePopulator
Modifier and Type
Method
Description
`void`
CompositeDatabasePopulator.`addPopulators(DatabasePopulator... populators)`
Add one or more populators to the list of delegates.
`static void`
DatabasePopulatorUtils.`execute(DatabasePopulator populator, DataSource dataSource)`
Execute the given `DatabasePopulator` against the given `DataSource`.
`void`
DataSourceInitializer.`setDatabaseCleaner(DatabasePopulator databaseCleaner)`
Set the `DatabasePopulator` to execute during the bean destruction phase, if any, cleaning up the database and leaving it in a known state for others.
`void`
DataSourceInitializer.`setDatabasePopulator(DatabasePopulator databasePopulator)`
Set the `DatabasePopulator` to execute during the bean initialization phase, if any.
`void`
CompositeDatabasePopulator.`setPopulators(DatabasePopulator... populators)`
Specify one or more populators to delegate to.
Constructors in org.springframework.jdbc.datasource.init with parameters of type DatabasePopulator
Modifier
Constructor
Description
``
`CompositeDatabasePopulator(DatabasePopulator... populators)`
Create a `CompositeDatabasePopulator` with the given populators.
Constructor parameters in org.springframework.jdbc.datasource.init with type arguments of type DatabasePopulator
Modifier
Constructor
Description
``
`CompositeDatabasePopulator(Collection<DatabasePopulator> populators)`
Create a `CompositeDatabasePopulator` with the given populators.